org.apache.ignite.springdata20.repository.query

## Class IgniteQueryGenerator

- java.lang.Object
- - org.apache.ignite.springdata20.repository.query.IgniteQueryGenerator

-     public class IgniteQueryGenerator
      extends Object

  Ignite query generator for Spring Data framework.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringBuilder` | `addPaging(StringBuilder sql, org.springframework.data.domain.Pageable pageable)` Add a dynamic part of a query for the pagination support.
    `static StringBuilder` | `addSorting(StringBuilder sql, org.springframework.data.domain.Sort sort)` Add a dynamic part of query for the sorting support.
    `static IgniteQuery` | `generateSql(Method mtd, org.springframework.data.repository.core.RepositoryMetadata metadata)`
    `static org.apache.ignite.springdata20.repository.query.IgniteQuery.Option` | `getOptions(Method mtd)` Determines whether query is dynamic or not (by list of method parameters)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### generateSql

          public static IgniteQuery generateSql(Method mtd,
                                                org.springframework.data.repository.core.RepositoryMetadata metadata)

      Parameters:
        `mtd` - Method.
        `metadata` - Metadata.
      Returns:
        Generated ignite query.

    - #### addSorting

          public static StringBuilder addSorting(StringBuilder sql,
                                                 org.springframework.data.domain.Sort sort)

      Add a dynamic part of query for the sorting support.
      Parameters:
        `sql` - SQL text string.
        `sort` - Sort method.
      Returns:
        Sorting criteria in StringBuilder.

    - #### addPaging

          public static StringBuilder addPaging(StringBuilder sql,
                                                org.springframework.data.domain.Pageable pageable)

      Add a dynamic part of a query for the pagination support.
      Parameters:
        `sql` - Builder instance.
        `pageable` - Pageable instance.
      Returns:
        Builder instance.

    - #### getOptions

          public static org.apache.ignite.springdata20.repository.query.IgniteQuery.Option getOptions(Method mtd)

      Determines whether query is dynamic or not (by list of method parameters)
      Parameters:
        `mtd` - Method.
      Returns:
        type of options

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020